﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace WpfApplication188.ViewModel
{
   public class Person:INotifyPropertyChanged
    {
        bool isreadonly =  true;

        public bool Isreadonly
        {
            get { return isreadonly; }
            set { isreadonly = value;
            NotifyPropertyChanged("Isreadonly");
            }
        }
        

        string name = string.Empty;

        public string Name
        {
            get { return name; }
            set { name = value;
            NotifyPropertyChanged("Name");
            }
        }
        string occupation = string.Empty;

        public string Occupation
        {
            get { return occupation; }
            set { occupation = value;
             NotifyPropertyChanged("Occupation");}
        }
        DateTime dateofhire = DateTime.Now;

        public DateTime Dateofhire
        {
            get { return dateofhire; }
            set { dateofhire = value;
            NotifyPropertyChanged("Dateofhire");
            }
        }
        decimal salary = 0.00m;

        public decimal Salary
        {
            get { return salary; }
            set { salary = value;
            NotifyPropertyChanged("Salary");
            }
        }
        int status = 0;

        public int Status
        {
            get { return status; }
            set { status = value;
            NotifyPropertyChanged("Status");
            }
        }

        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;

        private void NotifyPropertyChanged(String propertyName )
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }


        #endregion
    }
}
